%define pkgname kaa-metadata

Summary: Kaa Media Meta Data retrieval framework
Name: python-%{pkgname}
Version: 0.7.7
Release: %mkrel 4
Source0: http://mesh.dl.sourceforge.net/sourceforge/freevo/%{pkgname}-%{version}.tar.xz
License: LGPL
URL: http://sourceforge.net/projects/freevo/
Patch:  kaa-metadata-0.7.7-exiv2.patch
Group: Development/Python
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires: python-devel
BuildRequires: libdvdread-devel
BuildRequires: python-kaa-base
Requires:	python-kaa-base
Provides:	python-mm
Obsoletes:	python-mm

%description
kaa-metadata is a Media Meta Data retrieval framework. 
It retrieves metadata from mp3, ogg, avi, jpg, tiff and 
other file formats. Among others it thereby parses ID3v2, 
ID3v1, EXIF, IPTC and Vorbis data into an object oriented 
struture.  It is the successor to mmpython.

%prep
%setup -q -n %{pkgname}-%{version}
%patch -p1

%build
CFLAGS="$RPM_OPT_FLAGS" python setup.py build

%install
python setup.py install --root=$RPM_BUILD_ROOT 

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)

%_bindir/mminfo
%py_platsitedir/kaa_metadata*.egg-info

%dir %py_platsitedir/kaa/metadata
%py_platsitedir/kaa/metadata/*.py

%dir %py_platsitedir/kaa/metadata/audio
%py_platsitedir/kaa/metadata/audio/*.py

%dir %py_platsitedir/kaa/metadata/audio/eyeD3
%py_platsitedir/kaa/metadata/audio/eyeD3/*.py

%dir %py_platsitedir/kaa/metadata/disc
%py_platsitedir/kaa/metadata/disc/*.py
%py_platsitedir/kaa/metadata/disc/_cdrom.so
%py_platsitedir/kaa/metadata/disc/_ifoparser.so

%dir %py_platsitedir/kaa/metadata/games
%py_platsitedir/kaa/metadata/games/*.py

%dir %py_platsitedir/kaa/metadata/image
%py_platsitedir/kaa/metadata/image/*.py
%py_platsitedir/kaa/metadata/image/exiv2.so

%dir %py_platsitedir/kaa/metadata/misc
%py_platsitedir/kaa/metadata/misc/*.py

%dir %py_platsitedir/kaa/metadata/video
%py_platsitedir/kaa/metadata/video/*.py

%changelog
* Sun Aug 11 2013 billybot <billybot>
- update

* Thu Sep 02 2010 Texstar <texstar at gmail.com>
- rebuild for python 2.6.6

* Thu Jun 10 2010 Texstar <texstar at gmail.com> 1.9-2pclos2010
- rebuild for libexiv2
\
* Fri May 28 2010 slick50 <lxgator@gmail.com> 1.9-1pclos2010
- 0.7.7

* Mon Sep 21 2009 pcserver <pcserver at hush.com>
- update & rebuild

